![robojora-robot](https://github.com/enriquesalceda/robojora/blob/master/smaller_robot.png)

# Robojora
[![Build Status](https://travis-ci.com/enriquesalceda/robojora.svg?branch=master)](https://travis-ci.com/enriquesalceda/robojora)

This is Enrique's Jora robot challenge. I have created a gem called `Robojora`
that contains:

- The logic required by the challenge.
- Automated testing.
- CI integration with Travis.

## Installation

If you are going to test locally, I recommend you to:

```shell
$ gem install robojora
```

Or, if you want to add this to an app:

```ruby
gem 'robojora'
```

And then execute:

```shell
$ bundle
```

## Usage

Let's say you ran `gem install robojora`, now you can:

* Go to pry

```shell
$ pry
```

* Require `robojora`
```shell
> require 'robojora'
```

From here you can start testing the code. First of all you have to build a board
like this:

```ruby
full_board = Robojora::Board.new.build
```

Then, create a robot like this:

```ruby
robot = Robojora::Robot.new('tars')
```

Now, tars can start playing a board like this:

```ruby
robot.play_board(full_board)
```

From here you can start placing the robot like this:

```ruby
robot.place(3, 3, 'north')
```

And then, you can continue rotating, moving, and reporting the report!

```ruby
robot.left
robot.move
robot.report
```

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
